# $Revision: 1.6 $, $Date: 2010/03/15 06:47:02 $
Summary:	Double-Array Trie library
Summary(pl.UTF-8):	Biblioteka dwutablicowego trie
Name:		libdatrie
Version:	0.2.3
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.gz
# Source0-md5:	c6814f4fe68aa8d41d1b7183ad78d319
URL:		http://linux.thai.net/projects/datrie
BuildRequires:	doxygen
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
datrie is an implementation of double-array structure for representing
trie, as proposed by Junichi Aoe.

Trie is a kind of digital search tree, an efficient indexing method
with O(1) time complexity for searching. Comparably as efficient as
hashing, trie also provides flexibility on incremental matching and
key spelling manipulation. This makes it ideal for lexical analyzers,
as well as spelling dictionaries.

%description -l pl.UTF-8
datrie to implementacja struktury dwutablicowej do reprezentowania
trie, zaproponowanej przez Junichi Aoe.

Trie to rodzaj binarnego drzewa wyszukiwań, czyli wydajnej metody
indeksowania ze złożonością czasową wyszukiwania O(1). Porównując trie
jest tak wydajne jak haszowanie, ale zapewnia też elastyczność
przyrostowego dopasowywania i manipulacji pisownią klucza. To czyni je
idealnym dla analizatorów leksykalnych, a także sprawdzania pisowni.

%package devel
Summary:	Header files for datrie library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki datrie
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for datrie library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki datrie.

%package static
Summary:	Static datrie library
Summary(pl.UTF-8):	Statyczna biblioteka datrie
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static datrie library.

%description static -l pl.UTF-8
Statyczna biblioteka datrie.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/trietool-0.2
%attr(755,root,root) %{_libdir}/libdatrie.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdatrie.so.1
%{_mandir}/man1/trietool-0.2.1*

%files devel
%defattr(644,root,root,755)
%doc doc/html/* README.migration
%attr(755,root,root) %{_libdir}/libdatrie.so
%{_libdir}/libdatrie.la
%{_includedir}/datrie
%{_pkgconfigdir}/datrie-0.2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdatrie.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdatrie.spec,v $
Revision 1.6  2010/03/15 06:47:02  qboosh
- updated to 0.2.3

Revision 1.5  2009/05/16 14:03:50  megabajt
- updated to 0.2.2

Revision 1.4  2009/03/30 19:45:03  qboosh
- updated to 0.2.0

Revision 1.3  2008/07/10 21:05:35  qboosh
- updated to 0.1.3

Revision 1.2  2007/08/26 20:37:24  qboosh
- BR: doxygen

Revision 1.1  2007/08/26 20:31:13  qboosh
- new
